Bug 244455 - Add NSS' signed libraries to prelink's global blacklist
Add NSS' signed libraries to prelink's global blacklist
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kai Engert (:kaie)
Depends On: 244452
  Show dependency treegraph
Reported: 2007-06-15 15:19 EDT by Kai Engert (:kaie)
Modified: 2008-04-04 14:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.11.7-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 14:17:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch v1 (2.32 KB, patch)
2007-10-09 20:58 EDT, Kai Engert (:kaie)
no flags Details | Diff

  None (edit)
Description Kai Engert (:kaie) 2007-06-15 15:19:17 EDT
Description of problem:

NSS has some libraries that must not be modified by prelink, or its internal
integrity test fails.

We already implemented a patch that decouples these NSS libraries from the
static link chain. However, there might still be applications that linked with
these libraries in the past (or by accident?).

We therefore want to assure that prelink never modifies them and add them to
prelink's blacklist.

As a first step, the NSS package will add the entries to prelink.conf in the
%post installation step. But this is fragile.

Once bug 244452 got fixed, NSS shall ship the blacklist entries in a new file in
Comment 1 Kai Engert (:kaie) 2007-10-09 20:58:35 EDT
Created attachment 222051 [details]
Patch v1

Now that Jakub has implemented bug 244452, I plan to add this patch to the NSS
package in Rawhide tomorrow.
Comment 2 Bug Zapper 2008-04-04 08:49:39 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Kai Engert (:kaie) 2008-04-04 14:17:58 EDT
I had fixed this as mentioned earlier.

Note You need to log in before you can comment on or make changes to this bug.